Prover
SASH zk-inference-prover
One proof in the benchmark's sense is a sequence's whole grid of segments, every prompt and continuation position (systems/sash/README.md).
Pinned at sg-ai-safety-hub/zk-inference-prover@eb95bfa887299d1637550228d42086c27cbb2b3b
Claim card
not stated
Draft for layout: no SASH card is in the repository yet. Coverage and flags copy systems/sash/README.md; every other field says not stated until it is filled from upstream.
- Claim class
- not stated
- Security notion
- not stated
- Security level
- not stated
- Model
- not stated, adversary not stated
- Setup
- not stated
- Zero knowledge
- claimed not stated; hidden: not stated; not hidden: not stated; status not stated
- Coverage
- phase both, unit segment_grid; tokens covered: every prompt and continuation position in the grid; operations: not stated; policy: not stated
- Binding
- per-edge table stated upstream (docs/statement.md at the pin)
- Assumptions
- not stated
- Residual
- not stated
- Availability
- not stated
- Forbidden flags
--unsound-skip---unsound-argmax-lax- Reviewed by
- no review yet
Rows
One block per workload and configuration. Repetition strips use each metric's own axis.
Workload sash-l31-8b-c1024
Measured
setup_seconds
40.83 s
mean 40.83, sd 0.3512, min 40.50, max 41.20, n 3, n_failed 0
source: mock harness recordcommit_seconds
63.93 s
mean 63.93, sd 0.4509, min 63.50, max 64.40, n 3, n_failed 0
source: mock harness recordprove_session_seconds
1,318 s
mean 1,318, sd 13.85, min 1,304, max 1,332, n 3, n_failed 0
source: mock harness recordprove_steady_seconds
null (not_observable) s
whole_wall_seconds
1,382 s
mean 1,382, sd 13.40, min 1,368, max 1,395, n 3, n_failed 0
source: mock harness recordtokens_covered_total
1,088 token
mean 1,088, sd 0, min 1,088, max 1,088, n 3, n_failed 0
source: mock harness recordrequests_count
1 count
mean 1, sd 0, min 1, max 1, n 3, n_failed 0
source: mock harness recordproofs_count
1 count
mean 1, sd 0, min 1, max 1, n 3, n_failed 0
source: mock harness recordproof_bytes_total
4.870e9 B
mean 4.870e9, sd 0, min 4.870e9, max 4.870e9, n 3, n_failed 0
source: mock harness recordverify_seconds
30.17 s
mean 30.17, sd 0.3512, min 29.80, max 30.50, n 3, n_failed 0
source: mock harness recordverify_seconds_total
30.17 s
mean 30.17, sd 0.3512, min 29.80, max 30.50, n 3, n_failed 0
source: mock harness recordverify_single_thread_seconds
198.4 s
mean 198.4, sd 1.250, min 197.1, max 199.6, n 3, n_failed 0
source: mock harness recordDerived (computed by the derivation code)
rate_whole_wall
0.7873 token/s
mean 0.7873, sd 0.007639, min 0.7798, max 0.7951, n 3, n_failed 0
source: mock derivation recordrate_prove.session
0.8255 token/s
mean 0.8255, sd 0.008681, min 0.8170, max 0.8344, n 3, n_failed 0
source: mock derivation recordrate_prove.steady
null (not_observable) token/s
cost_per_1k_tokens_whole_wall
1.514 USD/1k_token
mean 1.514, sd 0.01468, min 1.499, max 1.528, n 3, n_failed 0
source: mock derivation recordproof_bytes_per_token
4,476,000 B/token
mean 4,476,000, sd 0, min 4,476,000, max 4,476,000, n 3, n_failed 0
source: mock derivation recordverify_seconds_per_token
0.02773 s/token
mean 0.02773, sd 0.0003228, min 0.02739, max 0.02803, n 3, n_failed 0
source: mock derivation recordRuns
mock-sash-c1024-r1completedmock-sash-c1024-r2completedmock-sash-c1024-r3completed- Superseded, failed and ineligible runs never contribute to statistics (RFC-0009 S7).
Run anatomy
Workload sash-l31-8b-c4096
Measured
setup_seconds
41.40 s
mean 41.40, sd 0.5568, min 40.90, max 42, n 3, n_failed 1
source: mock harness recordcommit_seconds
64.37 s
mean 64.37, sd 0.6658, min 63.80, max 65.10, n 3, n_failed 1
source: mock harness recordprove_session_seconds
5,415 s
mean 5,415, sd 60.57, min 5,362, max 5,481, n 3, n_failed 1
source: mock harness recordprove_steady_seconds
null (not_observable) s
whole_wall_seconds
5,479 s
mean 5,479, sd 61.23, min 5,426, max 5,546, n 3, n_failed 1
source: mock harness recordtokens_covered_total
4,608 token
mean 4,608, sd 0, min 4,608, max 4,608, n 3, n_failed 1
source: mock harness recordrequests_count
1 count
mean 1, sd 0, min 1, max 1, n 3, n_failed 1
source: mock harness recordproofs_count
1 count
mean 1, sd 0, min 1, max 1, n 3, n_failed 1
source: mock harness recordproof_bytes_total
1.980e10 B
mean 1.980e10, sd 0, min 1.980e10, max 1.980e10, n 3, n_failed 1
source: mock harness recordverify_seconds
121.3 s
mean 121.3, sd 1.405, min 119.8, max 122.6, n 3, n_failed 1
source: mock harness recordverify_seconds_total
121.3 s
mean 121.3, sd 1.405, min 119.8, max 122.6, n 3, n_failed 1
source: mock harness recordverify_single_thread_seconds
802.6 s
mean 802.6, sd 3.602, min 799.1, max 806.3, n 3, n_failed 1
source: mock harness recordDerived (computed by the derivation code)
rate_whole_wall
0.8411 token/s
mean 0.8411, sd 0.009368, min 0.8309, max 0.8493, n 3, n_failed 1
source: mock derivation recordrate_prove.session
0.8511 token/s
mean 0.8511, sd 0.009488, min 0.8408, max 0.8594, n 3, n_failed 1
source: mock derivation recordrate_prove.steady
null (not_observable) token/s
cost_per_1k_tokens_whole_wall
1.417 USD/1k_token
mean 1.417, sd 0.01584, min 1.403, max 1.434, n 3, n_failed 1
source: mock derivation recordproof_bytes_per_token
4,297,000 B/token
mean 4,297,000, sd 0, min 4,297,000, max 4,297,000, n 3, n_failed 1
source: mock derivation recordverify_seconds_per_token
0.02632 s/token
mean 0.02632, sd 0.0003049, min 0.02600, max 0.02661, n 3, n_failed 1
source: mock derivation recordRuns
mock-sash-c4096-r1supersededreplaced by mock-sash-c4096-r4: the verifier container ran with 4 CPUs instead of 8 (mock correction).mock-sash-c4096-r2completedmock-sash-c4096-r3completedmock-sash-c4096-r4completedmock-sash-c4096-r5failedexit code 1, last lines:upload: archive part 3 of 7: connection reset harness: run failed in phase upload, proofs kept on the runner
- Superseded, failed and ineligible runs never contribute to statistics (RFC-0009 S7).
Run anatomy
Controls
sash-l31-8b-c1024 profile prover-h100
7 passed0 failed3 void, not applicable or error
sash-l31-8b-c4096 profile prover-h100
8 passed0 failed3 void, not applicable or error
Reference rows on the same workloads
RFC-0015
Measured
whole_wall_seconds
9.827 s
mean 9.827, sd 0.1106, min 9.710, max 9.930, n 3, n_failed 0
source: mock harness recordtokens_covered_total
4,608 token
mean 4,608, sd 0, min 4,608, max 4,608, n 3, n_failed 0
source: mock harness recordDerived (computed by the derivation code)
rate_whole_wall
469.0 token/s
mean 469.0, sd 5.289, min 464.0, max 474.6, n 3, n_failed 0
source: mock derivation recordcost_per_1k_tokens_whole_wall
0.002541 USD/1k_token
mean 0.002541, sd 2.860e-5, min 0.002511, max 0.002568, n 3, n_failed 0
source: mock derivation recordRuns
mock-rr-c4096-r1completedmock-rr-c4096-r2completedmock-rr-c4096-r3completed- Superseded, failed and ineligible runs never contribute to statistics (RFC-0009 S7).
Measured
whole_wall_seconds
3.420 s
mean 3.420, sd 0.03000, min 3.390, max 3.450, n 3, n_failed 0
source: mock harness recordtokens_covered_total
4,608 token
mean 4,608, sd 0, min 4,608, max 4,608, n 3, n_failed 0
source: mock harness recordDerived (computed by the derivation code)
rate_whole_wall
1,347 token/s
mean 1,347, sd 11.82, min 1,336, max 1,359, n 3, n_failed 0
source: mock derivation recordcost_per_1k_tokens_whole_wall
0.0008844 USD/1k_token
mean 0.0008844, sd 7.758e-6, min 0.0008767, max 0.0008922, n 3, n_failed 0
source: mock derivation recordRuns
mock-rs-c4096-r1completedmock-rs-c4096-r2completedmock-rs-c4096-r3completed- Superseded, failed and ineligible runs never contribute to statistics (RFC-0009 S7).
Figures the system publishes upstream
Real data from systems/sash/external.yaml, grade external
Copied at the pin, never recomputed or rounded in the record. They are context, never inputs to a measured number (RFC-0004 INV-MAP-1). The mapping from the upstream scope is marked approximate where the definitions differ.
| Metric | Workload | Value and labels | Upstream scope | Note |
|---|---|---|---|---|
| rate_prove.steady | sash-l31-8b-c4096 | loop mapping approximate | positions/s over 4,608 positions (4,096 prompt and 512 output); run 2026-09-09-headline-c4096-h100 | |
| rate_whole_wall | sash-l31-8b-c4096 | whole wall mapping approximate | positions/s over 4,608 positions (4,096 prompt and 512 output); run 2026-09-09-headline-c4096-h100 | |
| prove_steady_seconds | sash-l31-8b-c4096 | loop mapping approximate | the 5 segment-loop processes' own wall-clock time added up; run 2026-09-09-headline-c4096-h100 | |
| whole_wall_seconds | sash-l31-8b-c4096 | whole wall mapping approximate | trace generation, interaction generation, stwo total and serialization, added up per segment; run 2026-09-09-headline-c4096-h100 |
Upstream pin sg-ai-safety-hub/zk-inference-results@11decec3c0b62c707618aab5deb82750b355d202